> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devin.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List repositories for a git connection

## Permissions

Requires a service user with the `ManageGitIntegrations` permission at the enterprise level.


## OpenAPI

````yaml /v3-openapi.yaml GET /v3/enterprise/git-providers/connections/{connection_id}/repositories
openapi: 3.1.0
info:
  description: Devin v3 API with Service User authentication and RBAC
  title: Devin API v3
  version: 3.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v3/enterprise/git-providers/connections/{connection_id}/repositories:
    get:
      tags:
        - git_connections
      summary: List repositories for a git connection
      operationId: >-
        handle_list_git_connection_repositories_v3_enterprise_git_providers_connections__connection_id__repositories_get
      parameters:
        - in: path
          name: connection_id
          required: true
          schema:
            title: Connection Id
            type: string
        - in: query
          name: after
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: After
        - in: query
          name: first
          required: false
          schema:
            default: 100
            maximum: 100
            minimum: 1
            title: First
            type: integer
        - in: query
          name: filter_name
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Filter Name
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/PaginatedResponse_GitConnectionRepositoryResponse_
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    PaginatedResponse_GitConnectionRepositoryResponse_:
      properties:
        end_cursor:
          anyOf:
            - type: string
            - type: 'null'
          description: Cursor to fetch the next page, or None if this is the last page.
          title: End Cursor
        has_next_page:
          default: false
          description: Whether there are more items available after this page.
          title: Has Next Page
          type: boolean
        items:
          items:
            $ref: '#/components/schemas/GitConnectionRepositoryResponse'
          title: Items
          type: array
        total:
          anyOf:
            - type: integer
            - type: 'null'
          description: Optional total count (can be omitted for performance).
          title: Total
      required:
        - items
      title: PaginatedResponse[GitConnectionRepositoryResponse]
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    GitConnectionRepositoryResponse:
      properties:
        git_connection_host:
          title: Git Connection Host
          type: string
        git_connection_id:
          title: Git Connection Id
          type: string
        last_updated_at:
          anyOf:
            - type: integer
            - type: 'null'
          title: Last Updated At
        provider_repository_id:
          title: Provider Repository Id
          type: string
        repo_description:
          anyOf:
            - type: string
            - type: 'null'
          title: Repo Description
        repo_language:
          anyOf:
            - type: string
            - type: 'null'
          title: Repo Language
        repo_name:
          title: Repo Name
          type: string
        repo_path:
          title: Repo Path
          type: string
      required:
        - provider_repository_id
        - git_connection_id
        - git_connection_host
        - repo_name
        - repo_path
        - repo_description
        - last_updated_at
        - repo_language
      title: GitConnectionRepositoryResponse
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      description: 'Service User credential (prefix: cog_)'
      scheme: bearer
      type: http

````